<?php

namespace Bydedi\Http;

/**
 * Class HttpEvents
 * @package Bydedi\Http
 */
final class HttpEvents
{
    /**
     * The REQUEST event occurs at the very beginning of request
     * dispatching.
     *
     * @Event
     *
     * @var string
     *
     * @api
     */
    const REQUEST = 'http.request';

    /**
     * The EXCEPTION event occurs when an uncaught exception appears.
     *
     * @Event
     *
     * @var string
     *
     * @api
     */
    const EXCEPTION = 'http.exception';

    /**
     * The VIEW event occurs before the template is complie and sent to the browser.
     *
     * @Event
     *
     * @var string
     *
     * @api
     */
    const VIEW = 'http.view';

    /**
     * The CONTROLLER event occurs once a controller was found for
     * handling a request.
     *
     * @Event
     *
     * @var string
     *
     * @api
     */
    const CONTROLLER = 'http.controller';

    /**
     * The RESPONSE event occurs once a response was created for
     * replying to a request.
     *
     * @Event
     *
     * @var string
     *
     * @api
     */
    const RESPONSE = 'http.response';

    /**
     * The TERMINATE event occurs once a response was sent.
     *
     * @Event
     *
     * @var string
     */
    const TERMINATE = 'http.terminate';
}
