<?php

namespace Bydedi\Routing;

use Psr\Log\LoggerInterface;
use Symfony\Component\Config\Loader\LoaderInterface;
use Symfony\Component\Routing\Router as RouterSF;
use Symfony\Component\Routing\RequestContext;

/**
 * Router class
 *
 * Permet de faire toutes les opérations courantes relative aux commandes
 *
 * PHP Version 5.4
 *
 * @package  Bydedi\Routing
 * @author   Matthieu Bouquet <matthieu@dedi-agency.com>
 *
 */
class Router extends RouterSF
{

    /**
     * @var \Symfony\Component\Config\Loader\LoaderInterface
     */
    protected $annotationDirectoryLoader;

    /**
     * @param LoaderInterface $loader
     * @param mixed $resource
     * @param array $options
     * @param RequestContext|null $context
     * @param LoggerInterface|null $logger
     */
    public function __construct(LoaderInterface $loader, $resource, array $options = array(), RequestContext $context = null, LoggerInterface $logger = null)
    {
        $this->annotationDirectoryLoader = $loader;

        parent::__construct($loader, $resource['controller'], $options, $context, $logger);
    }

    /**
     * @return \Symfony\Component\Config\Loader\LoaderInterface
     */
    public function getAnnotationDirectoryLoader()
    {
        return $this->annotationDirectoryLoader;
    }
}
